## 2.6.0

 - **ADDED** annotate_redeclares (https://dart.dev/tools/linter-rules/annotate_redeclares)
 - **ADDED** deprecated_member_use_from_same_package (https://dart.dev/tools/linter-rules/deprecated_member_use_from_same_package)
 - **ADDED** diagnostic_describe_all_properties (https://dart.dev/tools/linter-rules/diagnostic_describe_all_properties)
 - **ADDED** implicit_reopen (https://dart.dev/tools/linter-rules/implicit_reopen)
 - **ADDED** invalid_case_patterns (https://dart.dev/tools/linter-rules/invalid_case_patterns)
 - **ADDED** matching_super_parameters (https://dart.dev/tools/linter-rules/matching_super_parameters)
 - **ADDED** no_literal_bool_comparisons (https://dart.dev/tools/linter-rules/no_literal_bool_comparisons)
 - **ADDED** no_self_assignments (https://dart.dev/tools/linter-rules/no_self_assignments)
 - **ADDED** no_wildcard_variable_uses (https://dart.dev/tools/linter-rules/no_wildcard_variable_uses)
 - **ADDED** prefer_final_parameters (https://dart.dev/tools/linter-rules/prefer_final_parameters)
 - **ADDED** prefer_foreach (https://dart.dev/tools/linter-rules/prefer_foreach)
 - **ADDED** type_literal_in_constant_pattern (https://dart.dev/tools/linter-rules/type_literal_in_constant_pattern)
 - **ADDED** unnecessary_breaks (https://dart.dev/tools/linter-rules/unnecessary_breaks)
 - **ADDED** unnecessary_library_directive (https://dart.dev/tools/linter-rules/unnecessary_library_directive)
 - **ADDED** unnecessary_null_aware_operator_on_extension_on_nullable (https://dart.dev/tools/linter-rules/unnecessary_null_aware_operator_on_extension_on_nullable)
 - **REMOVED** always_require_non_null_named_parameters (https://dart.dev/tools/linter-rules/always_require_non_null_named_parameters)
 - **REMOVED** avoid_returning_null_for_future (https://dart.dev/tools/linter-rules/avoid_returning_null_for_future)
 - **REMOVED** iterable_contains_unrelated_type (https://dart.dev/tools/linter-rules/iterable_contains_unrelated_type)
 - **REMOVED** list_remove_unrelated_type (https://dart.dev/tools/linter-rules/list_remove_unrelated_type)
 - **REMOVED** prefer_equal_for_default_values (https://dart.dev/tools/linter-rules/prefer_equal_for_default_values)

## 2.5.0

 - **FIX**(analysis): remove depencies sort. (4e3b288e)
 - **FEAT**(analysis): update version. (0720a145)
 - **FEAT**(analysis): upgrade. (2692c607)

## 2.4.2

 - **REFACTOR**: remove cross package export.
 - **DOCS**: change some documentation.

## 2.4.1

 - **FEAT**: add latest version persistence between script executions.
 - **FEAT**: ignore todo's.

## 2.4.0

 - **FEAT**: add new lint rules.
 - **DOCS**: add instructions to create a new version (closes #104).

## 2.3.0

 - **REFACTOR**: follow melos versioning.
 - **FIX**: change file include to keep coherence.
 - **FEAT**: exclude generated code, and add dart>2.16 rules.
 - **FEAT**: add overwrite protection.
 - **FEAT**: add 2.2.2 files for archive.
 - **FEAT**: add utils script to easely bump version.

## 2.2.2

 - **DOCS**: add publish_to self hosted pub server.

## 2.2.1

 - **FIX**: import right version.

## 2.2.0

 - **FIX**: rename to follow melos versioning and remove redundant rule.
 - **FEAT**: promote experimental, update analyzer rules and add some linter rules.

## 2.1.0

 - **FEAT**: add experimental rules in appropriate file.

## 2.0.1

 - **DOCS**: Update readme with new version.

## 2.0.0

> Note: This release has breaking changes.

 - **BREAKING** **FIX**: remove unawaited() since its in Dart 2.15.

## 1.1.1

- Delete some rules
    - always_specify_types
    - sort_constructors_first
    - sort_pub_dependencies

## 1.1.0

- Add some errors
- Add more rules
- Fix `wyattAnalysisVersion` variable name

## 1.0.0

- Initial version.
